Bug 1789948 (CVE-2019-19953) - CVE-2019-19953 GraphicsMagick: heap-based buffer overflow in EncodeImage in coders/pict.c
Summary: CVE-2019-19953 GraphicsMagick: heap-based buffer overflow in EncodeImage in c...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-19953
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1789950 1789951
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-10 19:43 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-01-10 20:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-10 20:09:25 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-01-10 19:43:17 UTC
In GraphicsMagick 1.4 snapshot-20191208 Q8, there is a heap-based buffer over-read in the function EncodeImage of coders/pict.c.

Reference:
https://sourceforge.net/p/graphicsmagick/bugs/617/

Upstream commit:
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/28f8bacd4bbf

Comment 1 Guilherme de Almeida Suckevicz 2020-01-10 19:50:55 UTC
Created GraphicsMagick tracking bugs for this issue:

Affects: epel-all [bug 1789951]
Affects: fedora-all [bug 1789950]

Comment 2 Product Security DevOps Team 2020-01-10 20:09:25 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.